> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish property

> Publishes a private property.

A published property cannot be unpublished or unregistered. Published properties can be accessed by tokens belonging to any Client Id.

**Required scopes:** `properties.configuration:rw`


## OpenAPI

````yaml /api/configuration/v3.5/openapi.json post /action/publish_property
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.5
servers:
  - url: https://api.livechatinc.com/v3.5/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/publish_property:
    post:
      tags:
        - Properties
      summary: Publish property
      description: >-
        Publishes a private property.


        A published property cannot be unpublished or unregistered. Published
        properties can be accessed by tokens belonging to any Client Id.
      operationId: publish-property
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublishPropertyRequest'
            example:
              name: string_property
              owner_client_id: 0805e283233042b37f460ed8fbf22160
              access_type:
                - read
      responses:
        '200':
          description: Property published successfully.
components:
  schemas:
    PublishPropertyRequest:
      type: object
      required:
        - name
        - owner_client_id
        - access_type
      properties:
        name:
          type: string
          description: The property name.
        owner_client_id:
          type: string
          description: >-
            The Client Id that owns the property. Must be owned by your
            organization.
        access_type:
          type: array
          items:
            type: string
            enum:
              - read
              - write
          description: The access level for Client Ids other than `owner_client_id`.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````